Description

For embedded forms/tables with database relations the relations widget should allow some configurable options:

    -  display embedded widget in table or form mode

    -  Configurable "title" of the embedded widget: currently, the relation name is displayed. It should be allowed to overwrite this with a

configurable title. The relation name is not always suitable and understandable by end users.

When displaying the embedded widget in form mode, the first record should be automatically selected - not requiring the user to click and

select the first record.

History

#1 - 2014-06-17 01:02 AM - Rémi Bovard

I have also a enhancement for the embedded form:

    -  Activate copy to clipboard when selecting rows (or all rows) > now the users need to open child attribute table, filter rows, select them and then copy to

clipboard

@Andreas: about your second point, you can use "technical name" as ID and "understandable name" as Name when creating the relation.

#2 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#3 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown
